Jump to content

MastroLube

Members
  • Content count

    154
  • Joined

  • Last visited

Community Reputation

10 Good

About MastroLube

  • Rank
    Rising Star

My Software

  • Main CAD Product
    AutoCAD
  • Current Product Version
    2015
  • First AutoCAD Version
    AutoCAD 2012
  1. Hello BIGAL! What do you think about this solution I've wrote in order to delete the circles inside the polylines? (defun cancella_cerchi_interni ( / e i n s x vertici_pl) (setq vertici_pl (cdrs 10 (entget (car (entsel "\nSeleziona polilinea"))))) (if (setq s (ssget "_CP" vertici_pl '((0 . "CIRCLE")))) (progn (setq i 0 n (sslength s) ) (repeat n (setq e (ssname s i) ;x (cdr (assoc 0 (entget e))) i (1+ i) ) (entdel e) ) ) ) (princ) ) 0) I do the BPOLY to generate all the polylines I need. 1) I use your code to generate the balls (I've some troubles to make not global oriented circles) 2) I use mine to delete the inside polyline circles. Any suggestion? Thanks, Dennis
  2. can you send the example dwg please with even that triangle you want to put inside?
  3. Hi there, I didn't remove anything. I found part of this long time ago and that is how is saved on my pc :OOOO I really didn't know the genius behind that. Anyway thanks I've learned a lot from this.. it was the beginning of everything I'll edit the main post with that part then. Ps. if I had known, I would have come directly to that forum to ask questions in italian
  4. Hi there, I'm not good as other guys but this is a simple task in my opinion I'll do it in this way: 1. SSGET every circle and extract center point http://www.lee-mac.com/ssget.html http://www.lee-mac.com/selsetprocessing.html 2. delete all of them and with a while insert a block with that insert point for every center point http://www.lee-mac.com/selsetprocessing.html
  5. MastroLube

    Quote external circles

    Hello Marko! I admire you so much!! I've tried your code with my huge slab and after 1 hour I've pressed cancel for mistake Anyway I found a good use of it even for big slabs! If i select only external circles it works very well and haven't to wait ages. For small slabs it's perfect! I've created a tool in these years and we give it for free in our site. If you agree I could add your code inside it and add credits to you Your code is the cherry on top.
  6. MastroLube

    Quote external circles

    Thanks you Marko! I'll test it tomorrow! Thanks and good evening
  7. Yes you're right but I think it's very hard to get count of everything.. In my opinion getting circles out of the green lines and outside of walls/pillars and curbs is the best goal we can obtain Removing some balls in a second time it's not a problem
  8. I've tried but still don't work.. I'm very unlucky with hatches ... :S Because you have to make it simple for construction worker Otherwise they will get mad placing all these balls. Another reason could be the presence of punching reinforcement
  9. Nice one! How did you manage to make the hatch inside that? I'm trying with that file but it fails (this is a problem for my code as well) If there is a secret please let me know
  10. MastroLube

    Quote external circles

    Wow thanks marko!! I'll test them right now Thank you very very much Edit: Yay! It works Maybe my computer is a little bit old because I've tried to quote the right corner of this 2000 m^2 slab with 10221 circles and after few minutes had to stop the code What's the limit in your opinion? Thanks again!
  11. Yes sure! text cad tutor - Standard.zip
  12. Hello Bigal! Thanks for the explanation. Sound very cool that extra steps of Bpoly could do the trick! Unfortunately green lines are not a polyline and usually it's on an XREF. It's what comes out of my fem (AxisVM). Anyway yes, it's exactly what i'm dreaming for Thanks for your help BIGAL
  13. WOW GUYS!!!!! You're doing a very good work here!!! If appreciated I'll go a little bit in deep about this in order to have a full understanding of the problem These elements can not be placed anywhere but only in areas where the shear strength of the floor is not exceeded. These areas can be seen in the example and are those outside the green line. In cyan with the grey hatch you can see the supports of the slab and also above them you can not obviously put them. My code somehow takes it into account (sometimes it fails) just by creating the hatch. Perhaps an idea could be to create an hatch and use its boundary as a polyline instead of selecting it? Anyway it's 50x faster then mine
  14. Nope but i change the global UCS for other angles
  15. Hello! They represent the position of void former modules for lightweight reinforced concrete slabs.
×